WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: WP-SpamFree Anti-Spam] Broken (11 posts)

  1. jonhuck
    Member
    Posted 4 years ago #

    Doesn't work at all - blocks all comments saying "Javascript and Cookies Required" - tested in all browsers with same error...

    http://wordpress.org/extend/plugins/wp-spamfree/

  2. speerga
    Member
    Posted 4 years ago #

    I just discovered that I'm getting the same error message on my blogs using version 2.1.0.7 of wp-spamfree as "jonhuck" is. A friend who'd tried repeatedly to post a comment on one of my blogs got that message and alerted me via email. When I deactivate wp-spamfree, comments can be left and the error message goes away.

    This was true on 3 blogs that I tested, all three running version 2.1.0.7 of wp-spamfree and wp version 2.8.4.

  3. WebGeek
    Member
    Posted 4 years ago #

    Hey jonhuck and speerga,

    Sorry to hear you've been having trouble with the plugin. It's been tested to work just fine in v 2.8.4, so it's likely there is something else going on there, and likely something that can easily be fixed. If you haven't gotten a chance to yet, you may want to check out the Troubleshooting Guide and FAQs. If that doesn't solve the issue, please submit a support request so we can look into it for you.

  4. speerga
    Member
    Posted 4 years ago #

    Thanks for the response, WebGeek.

    I've gone through the Troubleshooting Guide and the FAQs. I may be missing something, but I still get that "Javascript Cookies Required" error mentioned in the OP of this thread.

    I thought it might be conflict between wp-spamfree's contact form (which I wasn't using) and the Easy Contact plugin (which I was using). Disabled that plugin, flushed cache, still no luck.

    I'm pretty sure wp-spamfree was working without problems when I was running earlier versions. I have no way of knowing which version started the problems, as I always auto upgrade with each new version of wp and each new version of the wp-spamfree plugin.

    A couple of people who tried to leave comments in recent weeks alerted me to the error, or I never would have found it.

    Love the hands-off, effective way wp-spamfree works. But guess I'll have to stick with akismet.

    And, yes, wp-spamfree shows me the green bar that it's installed properly, too, so I know that's not it.

  5. speerga
    Member
    Posted 4 years ago #

    FYI -- I just went to the blog I've been wrestling with regarding this plugin. I made sure wp-spamfree's green bar telling me it was installed correctly was in place and everything was okay.

    I then deactivated EVERY plugin. I activated wp-spamfree so that it was the only active plugin.

    I cleared my Firefox cache. I tried to post and got the same error message as before:

    "Sorry, there was an error. JavaScript and Cookies are required in order to post a comment.

    "Please be sure JavaScript and Cookies are enabled in your browser. Then, please hit the back button on your browser, and try posting your comment again. (You may need to reload the page)"

    I then closed Firefox. I went to the blog in IE 8. I tried commenting and got the same error message.

    I don't know much about coding OR really that much about WP -- but it sure seems to me that something's not right with the current version of wp-spamfree.

    Any further suggestions would be helpful?

    Thanks.

  6. WebGeek
    Member
    Posted 4 years ago #

    Hey speerga...we do all our tech support through that support form I mentioned above. Please submit through that and we will be happy to help you right away. Thanks!

  7. speerga
    Member
    Posted 4 years ago #

    Thanks, WebGeek. I'm on my way over to there now.

  8. bdale89
    Member
    Posted 4 years ago #

    Did you ever get this fixed speerga? I am having the exact same problem and I have uninstalled and reinstalled and even deactivated and deleted all other plug-ins but I still get the error "Sorry, there was an error. JavaScript and Cookies are required in order to post a comment."

    I tried going to the sites above listed by Webgeek but can't find this specific error...

  9. jackyfox
    Member
    Posted 4 years ago #

    Just updated WP to 2.9.2
    On activation:

    Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 1966080 bytes) in /<my_path>/wp-content/plugins/wp-spamfree/wp-spamfree.php on line 3627

    with 2.9.1 worked perfectly.

  10. jackyfox
    Member
    Posted 4 years ago #

    UPD: Sorry, I have already changed WP_MEMORY_LIMIT from 32 to 64

  11. theresavs
    Member
    Posted 4 years ago #

    I just wanted to respond with my solution to the problem with WP-SpamFree. I have a client who found that visitors were getting the javascript and cookie error message when they tried to comment. After reading through the troubleshooting guide on the WP-SpamFree website, I found that it was a permissions issue. Apparently, my client's host company had changed some server settings and the wp-content folder no longer could be set to 777 (previously it was required for uploads). The WP-SpamFree javascript file wasn't loading because it wasn't allowed under the 777 setting. I changed the wp-content folder to 755 and now it works!

    Hope that helps someone. Sometimes it's not necessarily the plugin, but a change in server setting, unbeknownst to us.

Topic Closed

This topic has been closed to new replies.

About this Topic